## org.apache.lucene.index
Class CheckIndex.Status.DocValuesStatus

    java.lang.Object
      org.apache.lucene.index.CheckIndex.Status.DocValuesStatus

Enclosing class:
  CheckIndex.Status

    public static final class CheckIndex.Status.DocValuesStatus

extends Object

Status from testing DocValues

Field Summary
`int` `docCount` Number of documents tested.
`Throwable` `error` Exception thrown during doc values test (null on success)
`long` `totalValueFields` Total number of docValues tested.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### docCount

    public int docCount

  Number of documents tested.

### totalValueFields

    public long totalValueFields

  Total number of docValues tested.

### error

    public Throwable error

  Exception thrown during doc values test (null on success)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.